searchNodes=[{"ref":"Knux.html","title":"Knux","type":"module","doc":""},{"ref":"Knux.html#request/3","title":"Knux.request/3","type":"function","doc":""},{"ref":"Knux.html#start_link/1","title":"Knux.start_link/1","type":"function","doc":""},{"ref":"Knux.html#start_link/2","title":"Knux.start_link/2","type":"function","doc":""},{"ref":"Knux.html#t:mode/0","title":"Knux.mode/0","type":"type","doc":""},{"ref":"Knux.Config.html","title":"Knux.Config","type":"module","doc":""},{"ref":"Knux.Config.html#parse/1","title":"Knux.Config.parse/1","type":"function","doc":""},{"ref":"Knux.Config.html#validate!/1","title":"Knux.Config.validate!/1","type":"function","doc":""},{"ref":"Knux.Connection.html","title":"Knux.Connection","type":"module","doc":""},{"ref":"Knux.Connection.html#request/3","title":"Knux.Connection.request/3","type":"function","doc":""},{"ref":"Knux.Connection.html#start_link/1","title":"Knux.Connection.start_link/1","type":"function","doc":""},{"ref":"Knux.Connection.Error.html","title":"Knux.Connection.Error","type":"exception","doc":""},{"ref":"Knux.Proto.html","title":"Knux.Proto","type":"module","doc":""},{"ref":"Knux.Proto.html#pack/1","title":"Knux.Proto.pack/1","type":"function","doc":"Packs a list of Elixir terms to a Sonic query. Examples iex&gt; iodata = Knux.Proto.pack([&quot;START&quot;, &quot;search&quot;, &quot;SecretPassword&quot;]) iex&gt; IO.iodata_to_binary(iodata) &quot;START search SecretPassword\\r\\n&quot; iex&gt; iodata = Knux.Proto.pack([&quot;QUERY&quot;, &quot;messages&quot;, &quot;user:0dcde3a6&quot;, {:quoted, &quot;valerian saliou&quot;}, {&quot;LIMIT&quot;, 10}]) iex&gt; IO.iodata_to_binary(iodata) &quot;QUERY messages user:0dcde3a6 \\&quot;valerian saliou\\&quot; LIMIT(10)\\r\\n&quot;"},{"ref":"Knux.Proto.html#parse/1","title":"Knux.Proto.parse/1","type":"function","doc":"Parses unpacked Sonic query. Examples iex&gt; Knux.Proto.parse(&quot;CONNECTED &lt;sonic-server v1.0.0&gt;&quot;) {:ok, [&quot;CONNECTED&quot;, &quot;&lt;sonic-server v1.0.0&gt;&quot;]} iex&gt; Knux.Proto.parse(&quot;STARTED search protocol(1) buffer(20000)&quot;) {:ok, [&quot;STARTED&quot;, &quot;search&quot;, {&quot;protocol&quot;, &quot;1&quot;}, {&quot;buffer&quot;, &quot;20000&quot;}]} iex&gt; Knux.Proto.parse(&quot;EVENT QUERY Bt2m2gYa conversation:71f3d63b conversation:6501e83a&quot;) {:ok, [&quot;EVENT&quot;, &quot;QUERY&quot;, &quot;Bt2m2gYa&quot;, &quot;conversation:71f3d63b&quot;, &quot;conversation:6501e83a&quot;]}"},{"ref":"Knux.Proto.html#unpack/1","title":"Knux.Proto.unpack/1","type":"function","doc":"Unpacks Sonic query. Examples iex&gt; Knux.Proto.unpack(&quot;START search SecretPassword\\r\\n&quot;) {:ok, &quot;START search SecretPassword&quot;, &quot;&quot;} iex&gt; Knux.Proto.unpack(&quot;START search SecretPassword\\r\\nCOMMAND test\\r\\nCOMMAND&quot;) {:ok, &quot;START search SecretPassword&quot;, &quot;COMMAND test\\r\\nCOMMAND&quot;} iex&gt; {:cont, cont_fn} = Knux.Proto.unpack(&quot;START search&quot;) iex&gt; {:cont, cont_fn} = cont_fn.(&quot; SecretPassword&quot;) iex&gt; cont_fn.(&quot;123\\r\\nrest&quot;) {:ok, &quot;START search SecretPassword123&quot;, &quot;rest&quot;} iex&gt; {:cont, cont_fn} = Knux.Proto.unpack(&quot;START search\\r&quot;) iex&gt; cont_fn.(&quot;\\n&quot;) {:ok, &quot;START search&quot;, &quot;&quot;} iex&gt; Knux.Proto.unpack(&quot;QUERY messages user:0dcde3a6 \\&quot;valerian saliou\\&quot; LIMIT(10)\\r\\n&quot;) {:ok, &quot;QUERY messages user:0dcde3a6 \\&quot;valerian saliou\\&quot; LIMIT(10)&quot;, &quot;&quot;}"},{"ref":"Knux.Request.html","title":"Knux.Request","type":"module","doc":""},{"ref":"Knux.Request.html#chunk/2","title":"Knux.Request.chunk/2","type":"function","doc":"Chunks Knux.Request into smaller parts by provided io_size_overflow, that logic should be inside Knux.Connection in the future."},{"ref":"Knux.Request.html#encode/1","title":"Knux.Request.encode/1","type":"function","doc":"Encodes Knux.Request into iolist"},{"ref":"Knux.Request.Macro.html","title":"Knux.Request.Macro","type":"module","doc":""},{"ref":"Knux.Request.Macro.html#arg_key/1","title":"Knux.Request.Macro.arg_key/1","type":"function","doc":""},{"ref":"Knux.Request.Macro.html#defr/4","title":"Knux.Request.Macro.defr/4","type":"macro","doc":""},{"ref":"Knux.Request.Macro.html#optional/1","title":"Knux.Request.Macro.optional/1","type":"function","doc":""},{"ref":"Knux.Request.Macro.html#quoted/1","title":"Knux.Request.Macro.quoted/1","type":"function","doc":""}]